std::regex_traits::imbue(3)

NAME
std::regex_traits::imbue - std::regex_traits::imbue

Synopsis
   locale_type imbue( locale_type loc ); (since C++11)
   Replaces the current locale with a copy of loc. If loc is different than the current
   locale, then all cached data is invalidated.
   After the call getloc() == loc.

Parameters
   loc - the locale to imbue

Return value
   The current locale of the traits object.
   If imbue() has been never called for this object, then the global locale at the time
   of the call is returned. Otherwise, the locale passed to the last call to imbue() is
   returned.

Example
    This section is incomplete
    Reason: no example

See also
   getloc gets the locale
          (public member function)